diff -urpN --exclude-from=/home/davej/.exclude bk-linus/fs/file_table.c linux-2.5/fs/file_table.c
--- bk-linus/fs/file_table.c	2002-11-21 02:19:43.000000000 +0000
+++ linux-2.5/fs/file_table.c	2002-11-21 18:01:55.000000000 +0000
@@ -18,7 +18,9 @@
 
 
 /* sysctl tunables... */
-struct files_stat_struct files_stat = {0, 0, NR_FILE};
+struct files_stat_struct files_stat = {
+	.max_files = NR_FILE
+};
 
 /* Here the new files go */
 static LIST_HEAD(anon_list);
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/video/fbcon.c linux-2.5/drivers/video/fbcon.c
--- bk-linus/drivers/video/fbcon.c	2002-11-21 02:19:26.000000000 +0000
+++ linux-2.5/drivers/video/fbcon.c	2002-11-21 18:01:39.000000000 +0000
@@ -230,8 +230,9 @@ static void fbcon_vbl_detect(int irq, vo
 
 static void cursor_timer_handler(unsigned long dev_addr);
 
-static struct timer_list cursor_timer =
-		TIMER_INITIALIZER(cursor_timer_handler, 0, 0);
+static struct timer_list cursor_timer = {
+    function: cursor_timer_handler
+};
 
 static void cursor_timer_handler(unsigned long dev_addr)
 {
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/message/i2o/i2o_scsi.c linux-2.5/drivers/message/i2o/i2o_scsi.c
--- bk-linus/drivers/message/i2o/i2o_scsi.c	2002-11-21 02:15:53.000000000 +0000
+++ linux-2.5/drivers/message/i2o/i2o_scsi.c	2002-11-21 17:59:03.000000000 +0000
@@ -336,15 +336,10 @@ static void i2o_scsi_reply(struct i2o_ha
 	return;
 }
 
-struct i2o_handler i2o_scsi_handler=
-{
-	i2o_scsi_reply,
-	NULL,
-	NULL,
-	NULL,
-	"I2O SCSI OSM",
-	0,
-	I2O_CLASS_SCSI_PERIPHERAL
+struct i2o_handler i2o_scsi_handler = {
+	.reply	= i2o_scsi_reply,
+	.name	= "I2O SCSI OSM",
+	.class	= I2O_CLASS_SCSI_PERIPHERAL,
 };
 
 /**
